Index: palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1310)
+++ palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1320)
@@ -23,4 +23,11 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
 !
 ! Former revisions:
@@ -30,17 +37,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 702 2011-03-24 19:33:15Z suehring
-! nys-1, nyn+1, nxl-1, nxr+1 changed to nysg, nyng, nxlg, nxrg.
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Allocation with nbgp
-!
-! 583 2010-10-11 09:28:42Z heinze
-! Bugfix: replace 'user_spectra' with 'user_read_restart_data' in call of 
-! message
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
 !
 ! 220 2008-12-18 07:00:36Z raasch
@@ -59,24 +53,47 @@
 
     USE control_parameters
+        
     USE indices
+    
+    USE kinds
+    
     USE pegrid
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=20) :: field_char
+    CHARACTER (LEN=20) :: field_char   !: 
 
-    INTEGER ::  i, k, nxlc, nxlf, nxl_on_file, nxrc, nxrf, nxr_on_file, nync, &
-                nynf, nyn_on_file, nysc, nysf, nys_on_file, overlap_count
+    INTEGER(iwp) ::  i               !: 
+    INTEGER(iwp) ::  k               !: 
+    INTEGER(iwp) ::  nxlc            !: 
+    INTEGER(iwp) ::  nxlf            !: 
+    INTEGER(iwp) ::  nxl_on_file     !: 
+    INTEGER(iwp) ::  nxrc            !: 
+    INTEGER(iwp) ::  nxrf            !: 
+    INTEGER(iwp) ::  nxr_on_file     !: 
+    INTEGER(iwp) ::  nync            !: 
+    INTEGER(iwp) ::  nynf            !: 
+    INTEGER(iwp) ::  nyn_on_file     !: 
+    INTEGER(iwp) ::  nysc            !: 
+    INTEGER(iwp) ::  nysf            !: 
+    INTEGER(iwp) ::  nys_on_file     !: 
+    INTEGER(iwp) ::  overlap_count   !: 
 
-    INTEGER, DIMENSION(numprocs_previous_run,1000) ::  nxlfa, nxrfa, nynfa, &
-                                                       nysfa, offset_xa, &
-                                                       offset_ya
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxlfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxrfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nynfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nysfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_xa   !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_ya   !: 
 
-    REAL, DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: &
-          tmp_2d
+    REAL(wp),                                                                  &
+       DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
+          tmp_2d   !: 
 
-    REAL, DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: &
-          tmp_3d
+    REAL(wp),                                                                  &
+       DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
+          tmp_3d   !: 
 
 !
@@ -107,10 +124,10 @@
 !                   ENDIF
 !                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-!                   u2_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+!                   u2_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
 !                                          tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 !
 !                CASE DEFAULT
-!                   WRITE( message_string, * ) 'unknown variable named "',  &
-!                                         TRIM( field_char ), '" found in', &
+!                   WRITE( message_string, * ) 'unknown variable named "',       &
+!                                         TRIM( field_char ), '" found in',      &
 !                                         '&data from prior run on PE ', myid
 !                   CALL message( 'user_read_restart_data', 'UI0012', 1, 2, 0, 6, 0 )
